;; SPDX-License-Identifier: Apache-2.0
;; SPDX-FileCopyrightText: 2021 Sebastian Crane <seabass-labrax@gmx.com>

(ns game)

(defn players-of-game [state game]
  (get-in state [:games game]))

(defn add-player-of-game [state game player]
  (update-in state [:games game] #(conj % player)))

(defn remove-player-of-game [state game player]
  (update-in state [:games game] #(disj % player)))
